Bug 1827766 - non-existed service should display None same as the other empty fields on operator instance page
Summary: non-existed service should display None same as the other empty fields on ope...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.4.z
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1826680
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-24 18:23 UTC by Robb Hamilton
Modified: 2020-06-29 15:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Select resources such as services lacked the proper empty state of "None" when no resource is present. Consequence: The lack of proper empty state made it ambiguous as to why no resource was listed, and was inconsistent with other resources. Fix: Added a "None" empty state. Result: Resources such as services now display an empty state of "None" when no resource exists.
Clone Of: 1826680
Environment:
Last Closed: 2020-06-29 15:33:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5186 None closed [release-4.4] Bug 1827766: Fix bug where K8sResourceLink lacks empty state 2020-06-26 16:29:28 UTC
Red Hat Product Errata RHBA-2020:2713 None None None 2020-06-29 15:34:08 UTC

Comment 1 Robb Hamilton 2020-05-08 17:18:30 UTC
PR opened, awaiting cherry pick approval.

Comment 2 Robb Hamilton 2020-05-28 19:56:31 UTC
PR opened, awaiting cherry pick approval.

Comment 3 Robb Hamilton 2020-06-17 18:43:37 UTC
PR opened, awaiting cherry pick approval.

Comment 6 shahan 2020-06-22 03:55:55 UTC
The field where is empty set None as value.
4.4.0-0.nightly-2020-06-21-210301

Comment 8 errata-xmlrpc 2020-06-29 15:33:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2713


Note You need to log in before you can comment on or make changes to this bug.